Bullet Collision Detection & Physics Library: btTypedConstraint::btConstraintInfo2 Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btTypedConstraint::btConstraintInfo2 Struct Reference

`#include <btTypedConstraint.h>`

## Public Attributes
btScalar | fps
btScalar | erp
btScalar * | m_J1linearAxis
btScalar * | m_J1angularAxis
btScalar * | m_J2linearAxis
btScalar * | m_J2angularAxis
int | rowskip
btScalar * | m_constraintError
btScalar * | cfm
btScalar * | m_lowerLimit
btScalar * | m_upperLimit
int | m_numIterations
btScalar | m_damping

## Detailed Description

Definition at line 120 of file btTypedConstraint.h.

## Member Data Documentation

## ◆ cfm

btScalar * btTypedConstraint::btConstraintInfo2::cfm

Definition at line 138 of file btTypedConstraint.h.

## ◆ erp

btScalar btTypedConstraint::btConstraintInfo2::erp

Definition at line 124 of file btTypedConstraint.h.

## ◆ fps

btScalar btTypedConstraint::btConstraintInfo2::fps

Definition at line 124 of file btTypedConstraint.h.

## ◆ m_constraintError

btScalar* btTypedConstraint::btConstraintInfo2::m_constraintError

Definition at line 138 of file btTypedConstraint.h.

## ◆ m_damping

btScalar btTypedConstraint::btConstraintInfo2::m_damping

Definition at line 147 of file btTypedConstraint.h.

## ◆ m_J1angularAxis

btScalar * btTypedConstraint::btConstraintInfo2::m_J1angularAxis

Definition at line 130 of file btTypedConstraint.h.

## ◆ m_J1linearAxis

btScalar* btTypedConstraint::btConstraintInfo2::m_J1linearAxis

Definition at line 130 of file btTypedConstraint.h.

## ◆ m_J2angularAxis

btScalar * btTypedConstraint::btConstraintInfo2::m_J2angularAxis

Definition at line 130 of file btTypedConstraint.h.

## ◆ m_J2linearAxis

btScalar * btTypedConstraint::btConstraintInfo2::m_J2linearAxis

Definition at line 130 of file btTypedConstraint.h.

## ◆ m_lowerLimit

btScalar* btTypedConstraint::btConstraintInfo2::m_lowerLimit

Definition at line 141 of file btTypedConstraint.h.

## ◆ m_numIterations

int btTypedConstraint::btConstraintInfo2::m_numIterations

Definition at line 144 of file btTypedConstraint.h.

## ◆ m_upperLimit

btScalar * btTypedConstraint::btConstraintInfo2::m_upperLimit

Definition at line 141 of file btTypedConstraint.h.

## ◆ rowskip

int btTypedConstraint::btConstraintInfo2::rowskip

Definition at line 133 of file btTypedConstraint.h.

The documentation for this struct was generated from the following file:

- btTypedConstraint.h